import { ChangeDetectorRef, OnInit } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { CurrentDeviceService, PendingCallManager } from '@iotize/ionic';
import { AbstractVariable } from '@iotize/tap/data';
import { Observable } from 'rxjs';
export interface PictureData {
    index: number;
    src: string;
}
export declare class TapVariableSwitchPictureComponent implements OnInit {
    private changeDetectorRef;
    private tapService;
    state: number;
    currentSrc: string;
    pendingCallManager: PendingCallManager;
    pendingSubmitValue: any;
    error?: Error;
    field: AbstractControl;
    loaded: boolean;
    _variable?: AbstractVariable<any>;
    set fieldError(err: Error);
    get pending(): boolean;
    pictures: PictureData[];
    stateText: string;
    editable: boolean;
    set variable(variable: AbstractVariable<any | any[]> | undefined);
    set inputStream(inputs: Observable<any>);
    constructor(changeDetectorRef: ChangeDetectorRef, tapService: CurrentDeviceService);
    ngOnInit(): void;
    switchPicture(): void;
}
